This project is archived and is in readonly mode.

#197 ✓invalid
Da_Vinci

Support for Safari 4b

Reported by Da_Vinci | July 6th, 2008 @ 12:50 AM | in 2.0 (closed)

Apart from "Slider" I coudn't get any(!) Mootools plugin to work with "Safari 4 Developer Preview".

If I can help with any logs I'd be more than willing to do so.

Comments and changes to this ticket

  • Da_Vinci

    Da_Vinci July 6th, 2008 @ 01:55 AM

    The 1.11 demos work perfectly though with "Safari 4 Developer Preview".

  • Fred Chasen

    Fred Chasen July 7th, 2008 @ 07:43 PM

    Did you see what line it is getting an error on?

    I would be curious to see if it is the same one that stops safari 2.

    In the uncompressed version that would be a parser error on 1071.

  • Da_Vinci

    Da_Vinci July 7th, 2008 @ 10:44 PM

    If I load http://demos.mootools.net the console shows a simple error "Null value". Nothing else. No line. No further errors.

  • bxbx

    bxbx July 8th, 2008 @ 11:00 AM

    • Tag changed from critical, defect, major, plugins to critical, defect, major, plugins, safari4

    Seems like dev. preview simply doesn’t understand "this.parent()" calls. IMO it's a browser bug (that's why it's called "Developer Preview";-)).

  • Da_Vinci

    Da_Vinci July 8th, 2008 @ 11:49 AM

    So should one then report this to the Webkit team or Apple?

  • Jan Kassens

    Jan Kassens July 19th, 2008 @ 12:07 PM

    • State changed from “new” to “invalid”

    i think that was a bug in the early version of the new webkit javascript engine. wait for the next beta version, or test with the webkit nightly. Most likely its a WebKit issue.

  • Da_Vinci

    Da_Vinci July 19th, 2008 @ 12:54 PM

    As a note: the version I'm experiencing the issues with is build "5526.11.2"

Create your profile

Help contribute to this project by taking a few moments to create your personal profile. Create your profile »

Shared Ticket Bins

Tags

Referenced by

Pages